<?php
class MultipleSidebars {
	public function __construct() {

	}

	/*
	 * post / pages / custom post type - Mostrar sidebars dinámicamente. Dependiendo de cuales estén seleccionados
	 */
	public function dynamic_sidebar() {
		global $post, $term, $cat;
		if (is_tax() or is_category()) {
			$cat_ID = get_query_var('cat');
			$sidebars = get_option("MultipleSidebars_taxonomy_sidebars_" . $cat_ID);
			$sidebars = explode(",", $sidebars);
			if(!$sidebars){
				$sidebars = "multiple-sidebars-default";
			}
			foreach ($sidebars as $sidebar) {
				if (is_active_sidebar($sidebar)) {
					dynamic_sidebar($sidebar);
				}
			}
		} elseif (is_home() or is_front_page()) {
			$sidebars = get_option("MultipleSidebarsHome");
			$sidebars = explode(",", $sidebars);
			if(!$sidebars){
				$sidebars = "multiple-sidebars-default";
			}
			foreach ($sidebars as $sidebar) {
				if (is_active_sidebar($sidebar)) {
					dynamic_sidebar($sidebar);
				}
			}
		} else {
			$sidebars = get_post_meta($post -> ID, "MultipleSidebars", true);
			$sidebars = explode(",", $sidebars);
			if(!$sidebars){
				$sidebars = "multiple-sidebars-default";
			}
			foreach ($sidebars as $sidebar) {
				if (is_active_sidebar($sidebar)) {
					dynamic_sidebar($sidebar);
				}
			}
		}
	}
	
	
	/*
	 * post / pages / custom post type - Comprobar que existen uno o más sidebars y están en uso. Dependiendo de cuales estén seleccionados
	 */
	public function is_active_sidebar() {
		global $post, $term, $cat;
		if (is_tax() or is_category()) {
			$cat_ID = get_query_var('cat');
			$sidebars = get_option("MultipleSidebars_taxonomy_sidebars_" . $cat_ID);
			$sidebars = explode(",", $sidebars);
			if(!$sidebars){
				$sidebars = "multiple-sidebars-default";
			}
			foreach ($sidebars as $sidebar) {
				if (is_active_sidebar($sidebar)) {
					return true;
				}
			}
			return false;
		} elseif (is_home() or is_front_page()) {
			$sidebars = get_option("MultipleSidebarsHome");
			$sidebars = explode(",", $sidebars);
			if(!$sidebars){
				$sidebars = "multiple-sidebars-default";
			}
			foreach ($sidebars as $sidebar) {
				if (is_active_sidebar($sidebar)) {
					return true;
				}
			}
			return false;
		} else {
			$sidebars = get_post_meta($post -> ID, "MultipleSidebars", true);
			$sidebars = explode(",", $sidebars);
			if(!$sidebars){
				$sidebars = "multiple-sidebars-default";
			}
			foreach ($sidebars as $sidebar) {
				if (is_active_sidebar($sidebar)) {
					return true;
				}
			}
			return false;
		}
	}
}

$MultipleSidebars = new MultipleSidebars();


class MultipleSidebarsAlerta{
	private $alertas = "";
	public function __construct(){}
	public function mostrar($echo = false){
		if(!$echo){
			return $this->alertas;
		}else{
			echo $this->alertas;
		}
	}
	public function agregar($alerta){
		$this->alertas .= "<p>".$alerta."</p>";
	}
}
$MultipleSidebarsAlerta = new MultipleSidebarsAlerta();
?>